package cn.net.caoyao.cpzshandset.bean;

import java.io.Serializable;

public class ActivateBean implements Serializable{
	private int id;//id INTEGER PRIMARY KEY AUTOINCREMENT
	private String product_id;//product_id VARCHAR(20)
	//企业id
	private long company_id;
	private String product_date;//product_date VARCHAR(20)
	private String product_batch_number;//product_batch_number INTEGER
	private String product_batch_name;//product_batch_name STRING
	//产品名字
	private String producer;//producer VARCHAR(20)
	private long group_number_id;//班组信息
	private int option_mode = 0;//option_mode INTEGER 0：单标激活  1：批量激活    起亚汽车30 单标 31 批量 
	private int status = 0;//status INTEGER
	private int error_code;//error_code INTEGER
	private String createDate;//createDate DATE DEFAULT (date('now','localtime')))
	//云天化添加
	
	private String group_number;//班组编号  VARCHAR(20)，云天化使用
	private String factory_code = "358000000_6";//厂区编号，云天化使用
	
	//--------------------激活并打包添加----------------------------------
	private int type = 0;//0:激活   1:激活并打包
	private String package_label_id;//包标签
	private int packCount;//打包数量
	
	//养殖户添加
	private String farmerName;//养殖户名字
	private String farmerID;//养殖户id

	public long getCompany_id() {
		return company_id;
	}

	public void setCompany_id(long company_id) {
		this.company_id = company_id;
	}

	public String getProduct_batch_name() {
		return product_batch_name;
	}

	public void setProduct_batch_name(String product_batch_name) {
		this.product_batch_name = product_batch_name;
	}

	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getProduct_id() {
		return product_id;
	}
	public void setProduct_id(String product_id) {
		this.product_id = product_id;
	}
	public String getProduct_date() {
		return product_date;
	}
	public void setProduct_date(String product_date) {
		this.product_date = product_date;
	}
	public String getProduct_batch_number() {
		return product_batch_number;
	}
	public void setProduct_batch_number(String product_batch_number) {
		this.product_batch_number = product_batch_number;
	}
	public String getProducer() {
		return producer;
	}
	public void setProducer(String producer) {
		this.producer = producer;
	}
	public int getOption_mode() {
		return option_mode;
	}
	public void setOption_mode(int option_mode) {
		this.option_mode = option_mode;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public int getError_code() {
		return error_code;
	}
	public void setError_code(int error_code) {
		this.error_code = error_code;
	}
	public String getCreateDate() {
		return createDate;
	}
	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}
	public String getGroup_number() {
		return group_number;
	}
	public void setGroup_number(String group_number) {
		this.group_number = group_number;
	}
	
	public String getFactory_code() {
		return factory_code;
	}
	public void setFactory_code(String factory_code) {
		this.factory_code = factory_code;
	}
	
	public long getGroup_number_id() {
		return group_number_id;
	}
	public void setGroup_number_id(long group_number_id) {
		this.group_number_id = group_number_id;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public String getPackage_label_id() {
		return package_label_id;
	}
	public void setPackage_label_id(String package_label_id) {
		this.package_label_id = package_label_id;
	}
	public int getPackCount() {
		return packCount;
	}
	public void setPackCount(int packCount) {
		this.packCount = packCount;
	}
	public String getFarmerName() {
		return farmerName;
	}
	public void setFarmerName(String farmerName) {
		this.farmerName = farmerName;
	}
	public String getFarmerID() {
		return farmerID;
	}
	public void setFarmerID(String farmerID) {
		this.farmerID = farmerID;
	}
	@Override
	public String toString() {
		return "ActivateBean [id=" + id + ", company_id=" + company_id+ ", product_id=" + product_id
				+ ", product_date=" + product_date + ", product_batch_number="
				+ product_batch_number + ", product_batch_name="
				+ product_batch_name + ", producer=" + producer
				+ ", group_number_id=" + group_number_id + ", option_mode="
				+ option_mode + ", status=" + status + ", error_code="
				+ error_code + ", createDate=" + createDate + ", group_number="
				+ group_number + ", factory_code=" + factory_code + ", type="
				+ type + ", package_label_id=" + package_label_id
				+ ", packCount=" + packCount + ", farmerName=" + farmerName
				+ ", farmerID=" + farmerID + "]";
	}
	
}
